/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package com.xpn.xwiki.internal.model;

import java.util.Locale;

import org.xwiki.localization.LocaleUtils;

/**
 * An abstract page translation.
 * 
 * @version $Id: 629217a4f879acc5806c9bfd605ce7cdf72c2e69 $
 * @since 8.3M2, 7.4.5
 */
public abstract class AbstractXWikiPageTranslation
{
    private String title;

    private String locale;

    private String defaultLocale;

    /**
     * @return the page title
     */
    public String getTitle()
    {
        return title;
    }

    /**
     * @return the page locale
     */
    public Locale getLocale()
    {
        return LocaleUtils.toLocale(this.locale, Locale.ROOT);
    }

    /**
     * @return the default page locale
     */
    public Locale getDefaultLocale()
    {
        return LocaleUtils.toLocale(this.defaultLocale, Locale.ROOT);
    }
}
